Bug 558051 - [patch] mesa doesn't print fatal errors
[patch] mesa doesn't print fatal errors
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
[cat:others]
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-23 06:17 EST by Stas Sergeev
Modified: 2015-02-17 08:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the fix (1.82 KB, patch)
2010-01-23 06:17 EST, Stas Sergeev
no flags Details | Diff

  None (edit)
Description Stas Sergeev 2010-01-23 06:17:35 EST
Created attachment 386318 [details]
the fix

Description of problem:
3d acceleration didn't work on my r600, and I was
attributing this to the drivers being experimental.
It appears not: the permissions on /dev/dri/card0
were 0660, and my user was not in the droup "video".
The bug here is that mesa doesn't print the fatal
errors, and silently falls back to software rasterizer.

Version-Release number of selected component (if applicable):
mesa-libGL-7.7-2.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. chmod go-rw /dev/dri/card0
2. glxinfo
  
Actual results:
No errors reported

Expected results:
Errors reported

Additional info:
The comment in the code for ErrorMessageF() says:
---
 * Print error to stderr, unless LIBGL_DEBUG=="quiet".
---
but the conditional expression in the code
have bug and doesn't match that comment.
The attached patch fixes the problem, as well
as adding all the needed messages.
Comment 1 Bug Zapper 2010-11-03 20:08:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-04-03 14:25:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 François Cami 2013-09-05 07:16:26 EDT
Stas,

Could you please post the output of:

getfacl /dev/dri/card0

Thank you.
Comment 4 Stas Sergeev 2013-09-07 16:49:24 EDT
Surely, although of course it has zero
relevance to the 4 years old setup of mine.
---
$ getfacl /dev/dri/card0
getfacl: Removing leading '/' from absolute path names
# file: dev/dri/card0
# owner: root
# group: video
user::rw-
user:stas:rw-
group::rw-
mask::rw-
other::---
---

Why not to just review as small and simple patch
as this one is?
Comment 5 Fedora End Of Life 2015-01-09 11:14:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 08:16:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.